unit About;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, ExtCtrls;

type
  TFAbout = class(TForm)
    lblURL: TLabel;
    lblVersion: TLabel;
    Label2: TLabel;
    Bevel1: TBevel;
    Label4: TLabel;
    btnOk: TButton;
    Bevel2: TBevel;
    Label3: TLabel;
    lblUSe: TLabel;
    Label5: TLabel;
    lblMail: TLabel;
    procedure BtnOkClick(Sender: TObject);
    procedure lblURLClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure lblMailClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FAbout: TFAbout;

implementation

uses Client,ShellApi;

{$R *.DFM}

procedure TFAbout.BtnOkClick(Sender: TObject);
begin
  close;
end;

procedure TFAbout.lblURLClick(Sender: TObject);
begin
  FClient.OpenBrowser('http://www.andrearusso.it/');
end;

procedure TFAbout.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 FAbout := nil;
 action := caFree;
end;

procedure TFAbout.FormCreate(Sender: TObject);
begin
   Left := FCLient.Left + ((FClient.Width - Width) div 2);
   Top := FClient.Top + ((FClient.Height - height) div 2) - 30;
   
   lblURL.Cursor := FClient.crHandCursor;
   lblMail.Cursor := FClient.crHandCursor;

   lblURL.Hint := 'Anche il tuo pc pu diventare un server !';
end;

procedure TFAbout.FormShow(Sender: TObject);
begin
 lblUse.Caption := FClient.sExeName + ' [-F] [UpdateIP | Offline]';
 lblVersion.Caption  := lblVersion.Caption + FClient.cVersion;
end;

procedure TFAbout.lblMailClick(Sender: TObject);
begin
   FClient.OpenBrowser('mailto:<info@andrearusso.it>');
end;

end.
