unit URLSetup;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFURLSetup = class(TForm)
    lblServerURL: TLabel;
    EditlblServerURL: TEdit;
    btnConfirm: TButton;
    btnCancel: TButton;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormCreate(Sender: TObject);
    procedure btnCancelClick(Sender: TObject);
    procedure btnConfirmClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FURLSetup: TFURLSetup;

implementation

uses Client;

{$R *.dfm}

procedure TFURLSetup.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 FURLSetup := nil;
 action := caFree;
end;

procedure TFURLSetup.FormCreate(Sender: TObject);
begin
   Left := FClient.Left + ((FClient.Width - Width) div 2);
   Top := FClient.Top + ((FClient.Height - height) div 2) - 30;

   EditlblServerURL.Text := FClient.sURL;

   if FClient.gbEnglishMsg then
   begin
     Caption := 'Server GnuDip URL';
     lblServerURL.Caption := '&Server URL';
     btnConfirm.Caption := 'OK';
     btnCancel.Caption := 'Cancel';
   end;
end;

procedure TFURLSetup.btnCancelClick(Sender: TObject);
begin
 Close;
end;

procedure TFURLSetup.btnConfirmClick(Sender: TObject);
begin
 FClient.sURL:= EditlblServerURL.Text;
 Close;
end;

end.
